We are supporting Licensed Tally ERP9 6.6.3 and above and all versions of Tally Prime.

If you have tally on cloud on your own private server where tally connecter can be installed the Suvit will work.